StarState Class Reference documentation

StarState Class Reference

class to store an state: ie. More...

`#include <StarState.hxx>`

## Classes
struct | GlobalState
| small struct use to store global data More...

## Public Member Functions
| StarState (StarItemPool const *pool, StarObject &object, double relUnit=0.05)
| constructor
| StarState (shared_ptr< GlobalState > global)
| constructor
| StarState (StarState const &orig)
| copy constructor
| ~StarState ()
| destructor
void | reinitializeLineData ()
| reinit the local data: break, font, content, footnote, ...

## Public Attributes
shared_ptr< GlobalState > | m_global
| global state
librevenge::RVNGString | m_styleName
| the style name
int | m_break
| a page/column break: 1=columnBefore, 2=columnAfter, 3=columnBoth, 4=pageBefore, 5=pageAfter,n 6=pageBoth
STOFFCellStyle | m_cell
| the cell style
STOFFFrameStyle | m_frame
| the frame style
STOFFGraphicStyle | m_graphic
| the graphic style
STOFFParagraph | m_paragraph
| the paragraph style
STOFFFont | m_font
| the font
bool | m_content
| flag to know if this is a content zone
bool | m_footnote
| flag to know if this is a footnote
librevenge::RVNGString | m_link
| the link url
librevenge::RVNGString | m_refMark
| the ref mark
shared_ptr< SWFieldManagerInternal::Field > | m_field
| the field

## Private Member Functions
StarState & | operator= (StarState const &)

## Detailed Description

class to store an state: ie.

the current page, section, ... style

## Constructor & Destructor Documentation

## ◆ StarState() [1/3]

StarState::StarState | ( | StarItemPool const * | pool,
|  | StarObject & | object,
|  | double | relUnit = 0.05 )
| inline

constructor

Referenced by operator=(), and StarState().

## ◆ StarState() [2/3]

StarState::StarState | ( | shared_ptr< GlobalState > | global | ) |
| inlineexplicit

constructor

## ◆ StarState() [3/3]

StarState::StarState | ( | StarState const & | orig | ) |
| explicit

copy constructor

## ◆ ~StarState()

StarState::~StarState | ( |  | ) |

destructor

## Member Function Documentation

## ◆ operator=()

StarState & StarState::operator= | ( | StarState const & |  | ) |
| private

## ◆ reinitializeLineData()

void StarState::reinitializeLineData | ( |  | ) |

reinit the local data: break, font, content, footnote, ...

Referenced by StarObjectTextInternal::TextZone::inventoryPage(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## Member Data Documentation

## ◆ m_break

int StarState::m_break

a page/column break: 1=columnBefore, 2=columnAfter, 3=columnBoth, 4=pageBefore, 5=pageAfter,n 6=pageBoth

Referenced by StarFrameAttribute::StarFAttributeUInt::addTo(), StarObjectTextInternal::TextZone::inventoryPage(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

## ◆ m_cell

STOFFCellStyle StarState::m_cell

the cell style

Referenced by StarCellAttribute::StarCAttributeBool::addTo(), StarCellAttribute::StarCAttributeInt::addTo(), StarCellAttribute::StarCAttributeMargins::addTo(), StarCellAttribute::StarCAttributeMerge::addTo(), StarCellAttribute::StarCAttributeProtection::addTo(), StarCellAttribute::StarCAttributeUInt::addTo(), StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), StarTableInternal::Table::send(), StarObjectSpreadsheet::sendCell(), StarState(), StarState(), StarState(), and StarTableInternal::TableBox::updatePosition().

## ◆ m_content

bool StarState::m_content

flag to know if this is a content zone

Referenced by StarCharAttribute::StarCAttributeContent::addTo(), reinitializeLineData(), StarFormatManagerInternal::FormatDef::send(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

## ◆ m_field

shared_ptr<SWFieldManagerInternal::Field> StarState::m_field

the field

Referenced by StarCharAttribute::StarCAttributeField::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

## ◆ m_font

STOFFFont StarState::m_font

the font

Referenced by StarCharAttribute::StarCAttributeBool::addTo(), StarCharAttribute::StarCAttributeCharFormat::addTo(), StarCharAttribute::StarCAttributeColor::addTo(), StarCharAttribute::StarCAttributeEscapement::addTo(), StarCharAttribute::StarCAttributeFont::addTo(), StarCharAttribute::StarCAttributeFontSize::addTo(), StarCharAttribute::StarCAttributeInt::addTo(), StarCharAttribute::StarCAttributeUInt::addTo(), StarCharAttribute::StarCAttributeVoid::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarObjectSpreadsheet::sendCell(), StarState(), StarState(), and StarState().

## ◆ m_footnote

bool StarState::m_footnote

flag to know if this is a footnote

Referenced by StarCharAttribute::StarCAttributeFootnote::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

## ◆ m_frame

STOFFFrameStyle StarState::m_frame

the frame style

Referenced by StarFrameAttribute::StarFAttributeBool::addTo(), StarFrameAttribute::StarFAttributeFrameSize::addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), StarItemPool::defineGraphicStyle(), StarTableInternal::Table::send(), StarState(), StarState(), StarState(), StarTableInternal::TableBox::updatePosition(), and StarObjectSmallGraphicInternal::SdrGraphic::updateStyle().

## ◆ m_global

shared_ptr<GlobalState> StarState::m_global

global state

Referenced by StarAttributeItemSet::addTo(), StarCharAttribute::StarCAttributeCharFormat::addTo(), StarCharAttribute::StarCAttributeFontSize::addTo(), StarFrameAttribute::StarFAttributeFrameSize::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeULSpace::addTo(), StarPageAttribute::StarPAttributeBool::addTo(), StarPageAttribute::StarPAttributeColumns::addTo(), StarPageAttribute::StarPAttributeFrameHF::addTo(), StarPageAttribute::StarPAttributeItemSet::addTo(), StarPageAttribute::StarPAttributePage::addTo(), StarPageAttribute::StarPAttributePageDesc::addTo(), StarPageAttribute::StarPAttributePageHF::addTo(), StarPageAttribute::StarPAttributeUInt::addTo(), StarPageAttribute::StarPAttributeVec2i::addTo(), StarPageAttribute::StarPAttributeViewMode::addTo(), StarParagraphAttribute::StarPAttributeDrop::addTo(), StarParagraphAttribute::StarPAttributeLineSpacing::addTo(), StarParagraphAttribute::StarPAttributeNumericRuler::addTo(), StarParagraphAttribute::StarPAttributeTabStop::addTo(), StarObjectTextInternal::TextZone::inventoryPage(), StarObjectTextInternal::Content::inventoryPages(), StarCharAttribute::StarCAttributeFootnote::send(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::Content::send(), StarObjectTextInternal::FormatZone::send(), StarObjectTextInternal::TextZone::send(), StarTableInternal::Table::send(), StarTableInternal::TableBox::send(), SWFieldManagerInternal::Field::send(), StarObjectText::sendPages(), StarState(), StarState(), StarState(), StarObjectPageStyle::updatePageSpan(), StarObjectPageStyleInternal::PageDesc::updatePageSpan(), StarObjectPageStyle::updatePageSpans(), StarObjectSpreadsheet::updatePageSpans(), StarObjectText::updatePageSpans(), and StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle().

## ◆ m_graphic

STOFFGraphicStyle StarState::m_graphic

the graphic style

Referenced by StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), StarGraphicAttribute::StarGAttributeBool::addTo(), StarGraphicAttribute::StarGAttributeCrop::addTo(), StarGraphicAttribute::StarGAttributeInt::addTo(), StarGraphicAttribute::StarGAttributeNamedArrow::addTo(), StarGraphicAttribute::StarGAttributeNamedBitmap::addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), StarGraphicAttribute::StarGAttributeNamedDash::addTo(), StarGraphicAttribute::StarGAttributeNamedGradient::addTo(), StarGraphicAttribute::StarGAttributeNamedHatch::addTo(), StarGraphicAttribute::StarGAttributeUInt::addTo(), StarGraphicAttribute::StarGAttributeVoid::addTo(), StarItemPool::defineGraphicStyle(), StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), StarState(), StarState(), StarState(), StarObjectSmallGraphicInternal::SdrGraphic::updateStyle(), and StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle().

## ◆ m_link

librevenge::RVNGString StarState::m_link

the link url

Referenced by StarCharAttribute::StarCAttributeINetFmt::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

## ◆ m_paragraph

STOFFParagraph StarState::m_paragraph

the paragraph style

Referenced by StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeLineNumbering::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeULSpace::addTo(), StarParagraphAttribute::StarPAttributeAdjust::addTo(), StarParagraphAttribute::StarPAttributeBool::addTo(), StarParagraphAttribute::StarPAttributeBulletNumeric::addTo(), StarParagraphAttribute::StarPAttributeBulletSimple::addTo(), StarParagraphAttribute::StarPAttributeDrop::addTo(), StarParagraphAttribute::StarPAttributeLineSpacing::addTo(), StarParagraphAttribute::StarPAttributeTabStop::addTo(), StarParagraphAttribute::StarPAttributeUInt::addTo(), StarItemPool::defineParagraphStyle(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

## ◆ m_refMark

librevenge::RVNGString StarState::m_refMark

the ref mark

Referenced by StarCharAttribute::StarCAttributeRefMark::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

## ◆ m_styleName

librevenge::RVNGString StarState::m_styleName

the style name

Referenced by StarObjectTextInternal::TextZone::inventoryPage(), StarObjectTextInternal::TextZone::send(), StarState(), StarState(), and StarState().

The documentation for this class was generated from the following files:

- StarState.hxx
- StarState.cxx